> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Création d'image



## OpenAPI

````yaml /fr/weave/reference/service-api/openapi.json post /image/create
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /image/create:
    post:
      tags:
        - Images
      summary: Création d'image
      operationId: image_create_image_create_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ImageGenerationCreateReq'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ImageGenerationCreateRes'
          description: Réponse réussie
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Erreur de validation
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    ImageGenerationCreateReq:
      properties:
        inputs:
          $ref: '#/components/schemas/ImageGenerationRequestInputs'
        project_id:
          title: Project Id
          type: string
        track_llm_call:
          anyOf:
            - type: boolean
            - type: 'null'
          default: true
          description: >-
            Indique s'il faut suivre cet appel de génération d'image dans le
            serveur de traces
          title: Track Llm Call
        wb_user_id:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            Ne définissez pas ce champ directement. Le serveur le renseignera
            automatiquement.
          title: Wb User Id
      required:
        - project_id
        - inputs
      title: ImageGenerationCreateReq
      type: object
    ImageGenerationCreateRes:
      properties:
        response:
          additionalProperties: true
          title: Response
          type: object
        weave_call_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Weave Call Id
      required:
        - response
      title: ImageGenerationCreateRes
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ImageGenerationRequestInputs:
      properties:
        model:
          title: Model
          type: string
        'n':
          anyOf:
            - type: integer
            - type: 'null'
          title: 'N'
        prompt:
          title: Prompt
          type: string
      required:
        - model
        - prompt
      title: ImageGenerationRequestInputs
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBasic:
      scheme: basic
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````